"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.version = {
    signature: 'version',
    description: 'output the version number',
    help: `\
Display the Resin CLI version.\
`,
    action(_params, _options, done) {
        return __awaiter(this, void 0, void 0, function* () {
            const packageJSON = yield Promise.resolve().then(() => require('../../package.json'));
            console.log(packageJSON.version);
            return done();
        });
    },
};
//# sourceMappingURL=info.js.map